List Users
curl --request GET \
--url https://api.duohub.ai/users/list \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.duohub.ai/users/list"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.duohub.ai/users/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"owner": "d99e7428-40e1-7073-aa50-94cee086b518",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
],
"nextToken": "eyJpZCI6eyJTIjoiNDU2In0sInVwZGF0ZWRBdCI6eyJTIjoiMjAyNC0wMS0wMlQwMDowMDowMFoifX0=",
"previousToken": null,
"count": 1
}{
"error": "API key is required",
"status": "unauthorized"
}{
"error": "An error occurred while listing users",
"status": "internal server error"
}Users API
List Users
Retrieve a paginated list of users
GET
/
users
/
list
List Users
Authorizations
Your duohub API key. Type: str
Query Parameters
Maximum number of users to return
Token for getting the next page of results
Token for getting the previous page of results
⌘I